Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
cURL
curl --request GET \ --url https://production.runalloy.com/integrations/all \ --header 'Authorization: <authorization>' \ --header 'x-api-version: <x-api-version>'
{ "data": [ { "integrationId": "67120234ea0bb132f61455d3", "description": "", "primaryConnector": "Variable Selector", "icon": "https://cdn.runalloy.com/icons/shopify.png", "workflows": [ { "workflowId": "673f2573ef641065fce767a7", "name": "Untitled Workflow #6", "version": 1, "connectors": [ { "name": "On Installation Trigger", "id": "c911ec0a-0016-40c0-9c04-b46c8e9e2751", "connector": "onInstallationTrigger", "icon": "https://cdn.runalloy.com/icons/OnIntegrationInstallation.svg", "subtitle": "On Installation Trigger" }, { "name": "Shopify", "id": "de156f05-db36-439a-a237-5c6d9f6b1515", "connector": "shopify", "icon": "https://cdn.runalloy.com/icons/shopify.png", "subtitle": "Gets a list of all Abandoned Checkouts" } ] } ], "credentials": [ "shopify" ] } ] }
Retrieves all integrations available in the Alloy Embedded account.
The version of the API to use. The current API version is 2025-09.
Successful response with a list of integrations.